<?php

namespace App\Filament\Widgets;

use App\Models\Cart;
use Filament\Widgets\LineChartWidget;
use Flowframe\Trend\Trend;
use Flowframe\Trend\TrendValue;
use App\Filament\Widgets\trait\WidgetHandle;

class CartChart extends LineChartWidget
{
    use WidgetHandle;

    protected static ?string $heading = '加入购物车数量';
    public ?string $filter = 'week';
    protected static ?string $pollingInterval = null;



    protected function getData(): array
    {

        $activeFilter = $this -> filter;
        $query = Trend ::model(Cart::class);
        $query = $this -> handleQuery($activeFilter, $query);
        $data = $query
            -> count();

        return [
            'datasets' => [
                [
                    'label' => '订单数量',
                    'backgroundColor' => 'rgb(255, 99, 132)',
                    'data' => $data -> map(fn(TrendValue $value) => $value -> aggregate),
                ],
            ],
            'labels' => $data -> map(fn(TrendValue $value) => $value -> date),
        ];
    }
}
