<?php

namespace App\Filament\Widgets;

use App\Models\Cart;
use Filament\Widgets\LineChartWidget;
use App\Filament\Widgets\trait\WidgetHandle;
use Flowframe\Trend\Trend;

class CartConversionRate extends LineChartWidget
{
    use WidgetHandle;

    protected static ?string $heading = '购物车转化率';
    public ?string $filter = 'week';

    protected function getData(): array
    {
        $activeFilter = $this -> filter;

        $query = Cart ::query();

        $data = $this -> betweenTime($activeFilter, $query) -> selectRaw("(count(if(is_buy=1,id,null))/count(id))as rate")
            -> groupBy('days')
            -> orderBy('days', 'asc') -> get();
        $data = $data -> toArray();

        return [
            'datasets' => [
                [
                    'label' => '购物车转化率',
                    'borderColor' => 'rgb(75, 192, 192)',
                    'data' => array_column($data, 'rate'),
                ],
            ],
            'labels' => array_column($data, 'days'),
        ];
    }
}
