<?php
if(!function_exists('currency')){
    function currency($price, $is_discout = false)
    {
        return $is_discout ? symbol() . sprintf('%.2f', $price * oldPriceMul()) : symbol() . $price;
    }
}


function oldPriceMul(): float
{
    return 1.2;
}

function discount()
{
    return '-' . strval((oldPriceMul() - 1) * 100) . '%';
}

function symbol()
{
    return '€';
}

function strName(string $name)
{
    $strArray = [
        '&' => '',
        '#' => '',
        '$' => '',
        ' ' => '',
        '%' => '',
        '/' => '',
    ];
    return strtolower(strtr($name, $strArray));
}

/**
 * @note 网站信息
 *
 * */
if (!function_exists('infoEmail()')) {
    function infoEmail()
    {
        $data['email'] = 'info@marcasbateria.com';
        $data['host'] = 'Marcasbateria.com';
        $data['hostupper'] = 'marcasbateria.com';
        $data['hostwww'] = 'www.marcasbateria.com';
        return (object)$data;
    }
}

function batteryWords()
{
    return 'Replacement Battery';
}

function adapterwords()
{
    return 'Replacement Charger';
}

function handleUrl(string $param): string
{
    return urlencode(urlencode($param));
}

/**
 *
 * 生成paypaljs
 **/
function generateJs(bool $card = false): string
{
    $js = 'https://www.paypal.com/sdk/js?client-id=';
    $clientId = env('APP_ENV') === 'local' ? env('PAYPAL_SANDBOX_CLIENT_ID') : env('PAYPAL_LIVE_CLIENT_ID');
    $js .= $clientId;
    $currency = "&currency=" . config('paypal.currency');
    $js .= $currency;

    if (!$card) {
        $js .= "&disable-funding=card&vault=true";
    }
    return $js;
}

function sendPaypal($data,$url='http://filament.test/test')
{
    $curl = curl_init();
    curl_setopt($curl, CURLOPT_URL, $url);
    curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, FALSE);
    curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, FALSE);
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
    curl_setopt($curl, CURLOPT_FOLLOWLOCATION, 1);
    curl_setopt($curl, CURLOPT_TIMEOUT, 30);
    curl_exec($curl);
    curl_close($curl);
}
