<?php

namespace App\Http\Controllers;

use App\Models\Cart;
use App\Models\Product;
use Illuminate\Http\Request;

class CartsController extends Controller
{
    /**
     * 购物车首页.
     *
     */
    public function index()
    {
        return view('carts.index');
    }


    /**
     * 产品加入购物车
     *
     */
    public function store(Request $request)
    {
        /**
         * @var int    $pid    产品id
         * @var string $jian   产品简介1
         * @var int    $qty    数量
         * @var string $userId session_id
         **/
        $pid = $request -> pid;
        $jian = $request -> jian;
        $qty = $request -> qty;
        $userId = $request -> session() -> getId();

        $product = Product ::query() -> findOrFail($pid);
        $jianjie1 = explode(' ', $product -> getRawOriginal('jianjie1'));
        $rep = explode(' ', $product -> getRawOriginal('rep'));
        $introduction = array_merge($jianjie1, $rep);
        //防止用户自己填写jianjie1
        $jian = in_array($jian, $introduction) ?$jian: $product -> jianjie1;

        $cart = Cart ::query() -> where('session_id', $userId)
            -> where('product_id', $pid) -> where('is_buy', 0) -> first();
        if ($cart) {
            //处理购物车已有产品数量
            $qty = $cart -> numbers + $qty;
            $cart -> qty = $qty;
            $cart -> singletotal = bcmul($qty, $product -> pprice_eu, 2);
            $cart -> save();
        } else {
            Cart ::query() -> create([
                'session_id' => $userId,
                'product_id' => $pid,
                'jian' => $jian,
                'brand' => $product -> cs,
                'numbers' => $qty,
                'baseprice' => $product -> pprice_eu,
                'singletotal' => bcmul($qty, $product -> pprice_eu, 2),
                'ip' => $request -> ip()
            ]);
        }
        return redirect() -> route('cart.index');
    }

}
