<?php

namespace App\Http\Controllers;

use App\Models\Category;
use App\Models\Product;
use Illuminate\Support\Facades\Cache;
use Overtrue\ChineseCalendar\Calendar;
use App\Models\Service\ProductService;
use Illuminate\Http\Request;
use Srmklive\PayPal\Services\PayPal as PaypalClient;

class IndexController extends Controller
{
    protected $service;

    public function __construct(ProductService $service)
    {
        $this -> service = $service;
    }

    public function index()
    {
        if (Cache ::has('keywords')) {
            $keywords = Cache ::get('keywords');
        } else {
            $keywords = Category ::query() -> where('category', '!=', '') -> get() -> pluck('category_es') -> toArray();
            $keywords = implode(",", $keywords);
            Cache ::put('keywords', $keywords);
        }

        $laptopBattery = $this -> service -> getProductList(2, 6);
        $laptopAdapter = $this -> service -> getProductList(1, 6);
        $tabletBattery = $this -> service -> getProductList(3, 6);
        $phoneBattery = $this -> service -> getProductList(4, 6);
        $cameraBattery = $this -> service -> getProductList(12, 6);
        $watchBattery = $this -> service -> getProductList(5, 6);
        $new = $this -> service -> getNewProducts(8);
        $data = compact('laptopBattery', 'laptopAdapter', 'tabletBattery', 'phoneBattery',
            'cameraBattery', 'watchBattery', 'new','keywords');
        return view('index.index', $data);
    }
}
