<?php

namespace App\Http\Controllers;

use App\Models\Product;
use App\Models\Search;
use Illuminate\Http\Request;
use Illuminate\Database\Eloquent\Builder;

class SearchController extends Controller
{
    public function search(Request $request)
    {
        $search = trim($request -> k);
        $perPage = $request -> perPage ?? 20;
        $order = $request -> order ?? 'id|desc';
        $product = new Product();
        $data = $product -> handleOrder($order);
        $constraints = $product -> orderBy($data['column'], $data['type']);
        $products = Product ::search($search) -> query(fn(Builder $query) => $query -> withoutGlobalScopes())
            -> constrain($constraints)
            -> paginate($perPage);
        $products -> appends([
            'perPage' => $perPage,
            'order' => $order,
            'k' => $search
        ]);
        if (sizeof($products) > 0) {
            $name = $search;
            $ip = $request -> ip();
            $session_id = $request -> session() -> getId();
            $url = $request -> url();
            $created_at = now();
            $this -> createTag($search, compact('ip', 'session_id', 'url', 'name', 'created_at'));
        }
        return view('search.index', compact('products', 'search', 'perPage', 'order'));
    }

    /**
     *把用户搜索内容存入数据库增加外链
     *
     * @param string $search 搜索的关键字
     **/
    public function createTag(string $name, $data): void
    {
        $result = Search ::query() -> where('ip', $data['ip'])
            -> where('name', $name) -> first();
        if (!$result) {
            Search ::query() -> create($data);
        }
    }
}
