<?php

namespace App\Http\Livewire\Carts;

use App\Models\Cart;
use Livewire\Component;

class Index extends Component
{
    public $carts;
    public $total = 0;

    public function render()
    {
        $userId = session() -> getId();
        $carts = Cart ::query() -> with('product') -> where('session_id', $userId) -> where('is_buy', 0)
            -> get();
        $total = 0;
        foreach ($carts as $cart) {
            $total += $cart -> singletotal;
        }
        $this -> carts = $carts;
        $this -> total = $total;
        return view('livewire.carts.index');
    }

    /**
     *购物车产品数量减1
     *
     * @param int $id  购物车id
     * @param int $qty 购物车数量
     **/
    public function decrement(int $id, int $qty)
    {
        $cart = Cart ::query() -> find($id);
        if ($cart -> numbers > 1) {
            $cart -> numbers = $cart -> numbers - 1;
            $cart -> singletotal = bcmul($cart -> numbers, $cart -> baseprice, 2);
            $cart -> save();
        }
    }

    /**
     *购物车产品数量加1
     *
     * @param int $id  购物车id
     * @param int $qty 购物车产品数量
     **/
    public function increment(int $id, int $qty)
    {
        $cart = Cart ::query() -> find($id);
        $cart -> numbers = $cart -> numbers + 1;
        $cart -> singletotal = bcmul($cart -> numbers, $cart -> baseprice, 2);
        $cart -> save();

    }

    /**
     *删除购物车产品
     * @param int $id 购物车id
     **/
    public function destroy(int $id)
    {
        Cart::query()->where('id',$id)->delete();
    }
}
