<?php

namespace App\Jobs;

use App\Models\Paypal;
use App\Models\Service\PaypalService;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Log;
use Srmklive\PayPal\Services\PayPal as PaypalClient;

class CheckOrderJob implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    protected $orderId;
    protected $userId;

    public function __construct(string $orderId, string $user_id)
    {
        $this -> orderId = $orderId;
        $this -> userId = $user_id;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        $provider = new PaypalClient();
        $token = $provider -> getAccessToken();
        $userId = $this -> userId;
        Log::info($userId);
        $order = $provider -> showOrderDetails($this -> orderId);
        if ($order['status'] === 'COMPLETED') {
            $paypal = Paypal ::query() -> where('order_id', $this -> orderId) -> first();
            if (!$paypal) {
                app(PaypalService::class) -> handleResponse($order, $userId);
            }
        }
    }
}
