<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Cart extends Model
{
    use HasFactory;

    protected $fillable = [
        'session_id', 'numbers', 'jian', 'brand', 'product_id', 'baseprice', 'singletotal', 'ip'
    ];

    public function product()
    {
        return $this -> hasOne(Product::class, 'pid', 'product_id');
    }

    public function getProductUrlAttribute()
    {
        return route('detail', [$this -> product_id, urlencode($this -> brand), $this -> jian]);
    }

    public function getTitleAttribute()
    {
        return $this -> jian . $this -> product -> jianjie2;
    }
}
