<?php

namespace App\Models\Service;

use App\Models\Category;
use App\Models\Product;
use Illuminate\Database\Eloquent\Collection;

class CategoryService
{
    private $model;

    public function __construct(Category $category)
    {
        $this -> model = $category;
    }

    public function header(): Collection
    {
        return $this -> model -> where('category', '!=', '') -> get();
    }

    public function importantCate(array $where = []): Collection
    {
        if (sizeof($where) < 1) {
            $where = range(1, 10);
        }
        return $this -> model -> whereIn('id', $where) -> get();
    }

    /**
     *获取品牌
     *
     * @param int $limit  取多少条数
     * @param int $cateId 一级分类id
     **/
    public function getBrands(int $limit = 8, int $cateId = 0,array $order=['column'=>'nums','by'=>'desc'])
    {
        $query = Product ::query() -> withoutGlobalScope('stock');
        if ($cateId != 0) {
            $query -> where('category1', $cateId);
        }
        return $query -> selectRaw('max(pid)as pid,max(cs)as cs,max(category1)as category1,count(cs)as nums')
            -> groupBy('cs')
            -> orderBy($order['column'], $order['by'])
            -> limit($limit)
            -> get();
    }
}
