@extends('layouts.app')
@section('seo')
<title>Todas las categorías</title>
    <meta property="og:locale" content="es-ES" />
    <meta property="og:type" content="website" />
    <meta property="og:image" content="/static/picture/logo.png" />
    <meta property="og:site_name" content="{{infoEmail()->host}}" />
    <meta itemprop="copyrightHolder" content="{{infoEmail()->host}}" />
    <meta name="author" content="{{infoEmail()->host}}" />
@stop
@section('content')
    <main>

        <!-- breadcrumb__area-start -->
        <section class="breadcrumb__area box-plr-75">
            <div class="container">
                <div class="row">
                    <div class="col-xxl-12">
                        <div class="breadcrumb__wrapper">
                            <nav aria-label="breadcrumb">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="{{ route('/') }}">Inicio</a></li>
                                    <li class="breadcrumb-item active" aria-current="page">Todas las categorías</li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- breadcrumb__area-end -->

        <!-- shop-area-start -->
        <div class="shop-area mb-20">
            <div class="container">
                <div class="row">
                    @include('categories.__left')
                    <div class="col-xl-9 col-lg-8">
                        <div class="tab-content" id="productGridTabContent">
                            <div class="row" style="display: flex;flex-direction: row;">
                                @foreach($categories as $cate)
                                    <div style="margin:20px 0 20px 0;font-size: 15px" class="col-md-4">
                                        <a href="{{ route('category.category',[$cate->id,urlencode($cate->category)]) }}">{{ $cate->category_es }}</a>
                                    </div>
                                @endforeach
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
        <!-- shop-area-end -->
    </main>
@stop
