@extends('layouts.app')
@section('seo')
<title>Nuevos descubrimientos | {{infoEmail()->host}}</title>
    <meta property="og:locale" content="es-ES" />
    <meta property="og:type" content="website" />
    <meta property="og:image" content="/static/picture/logo.png" />
    <meta property="og:site_name" content="{{infoEmail()->host}}" />
    <meta itemprop="copyrightHolder" content="{{infoEmail()->host}}" />
    <meta name="author" content="{{infoEmail()->host}}" />
@stop
@section('content')
    <main>

        <!-- breadcrumb__area-start -->
        <section class="breadcrumb__area box-plr-75">
            <div class="container">
                <div class="row">
                    <div class="col-xxl-12">
                        <div class="breadcrumb__wrapper">
                            <nav aria-label="breadcrumb">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="/">Inicio</a></li>
                                    <li class="breadcrumb-item active" aria-current="page">Nuevos descubrimientos</li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- breadcrumb__area-end -->

        <!-- shop-area-start -->
        <div class="shop-area mb-20">
            <div class="container">
                <div class="row">
                    @include('categories.__left')
                    <div class="col-xl-9 col-lg-8">
                        <div class="product-lists-top">
                            <div class="product__filter-wrap">
                                <div class="row align-items-center">
                                    <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-6">
                                        <div class="product__filter d-sm-flex align-items-center">
                                            <div class="product__col">
                                                <ul class="nav nav-tabs" id="myTab" role="tablist">
                                                    <li class="nav-item" role="presentation">
                                                        <button class="nav-link active" id="FourCol-tab" data-bs-toggle="tab" data-bs-target="#FourCol" type="button" role="tab" aria-controls="FourCol" aria-selected="true">
                                                            <i class="fal fa-th"></i>
                                                        </button>
                                                    </li>
                                                    <li class="nav-item" role="presentation">
                                                        <button class="nav-link" id="FiveCol-tab" data-bs-toggle="tab" data-bs-target="#FiveCol" type="button" role="tab" aria-controls="FiveCol" aria-selected="false">
                                                            <i class="fal fa-list"></i>
                                                        </button>
                                                    </li>
                                                </ul>
                                            </div>
                                            <div class="product__result pl-60">
                                                <p>Viendo del {{ $products->firstItem() }} al {{ $products->lastItem() }} (de {{ $products->total() }} productos)</p>
                                            </div>
                                        </div>
                                    </div>
                                    
                                </div>
                            </div>
                        </div>
                        <div class="tab-content" id="productGridTabContent">
                            <div class="tab-pane fade  show active" id="FourCol" role="tabpanel" aria-labelledby="FourCol-tab">
                                <div class="tp-wrapper">
                                    <div class="row g-0">
                                        @foreach($products as $val)
                                            <div class="col-xl-3 col-lg-4 col-md-6 col-sm-6">
                                                <div class="product__item product__item-d">
                                                    <div class="product__thumb fix">
                                                        <div class="product-image w-img">
                                                            <a href="{{ $val->url }}">
                                                                <img src="{{ $val->okpcode }}" alt="{{ $val->jianjie1 }} para {{ $val->jianjie2 }}">
                                                            </a>
                                                        </div>
                                                    </div>
                                                    <div class="product__content-3">
                                                        <h6><a href="{{ $val->url }}">{{ $val->jianjie1 }} para {{ $val->jianjie2 }}</a></h6>
                                                        <div class="rating mb-5">
                                                            <ul>
                                                                <li><a href="#"><i class="fa fa-star"></i></a></li>
                                                                <li><a href="#"><i class="fa fa-star"></i></a></li>
                                                                <li><a href="#"><i class="fa fa-star"></i></a></li>
                                                                <li><a href="#"><i class="fa fa-star"></i></a></li>
                                                                <li><a href="#"><i class="fal fa-star"></i></a></li>
                                                            </ul>
                                                        </div>
                                                        <div class="price mb-10">
                                                            <span>{{ $val->price }}</span>
                                                        </div>
                                                    </div>
                                                    <div class="product__add-cart-s text-center" >
                                                        <button type="button" class="cart-btn d-flex mb-10 align-items-center justify-content-center w-100">
                                                            <a href="{{ $val->url }}">Añadir al carrito</a>
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        @endforeach
                                    </div>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="FiveCol" role="tabpanel" aria-labelledby="FiveCol-tab">
                                <div class="tp-wrapper-2">
                                    @foreach($products as $val)
                                        <div class="single-item-pd">
                                            <div class="row align-items-center">
                                                <div class="col-xl-9">
                                                    <div class="single-features-item single-features-item-df b-radius mb-20">
                                                        <div class="row  g-0 align-items-center">
                                                            <div class="col-md-4">
                                                                <div class="features-thum">
                                                                    <div class="features-product-image w-img">
                                                                        <a href="{{ $val->url }}"><img src="{{ $val->okpcode }}" alt="{{ $val->cs }} {{ $val->jianjie1 }}"></a>
                                                                    </div>
                                                                    <div class="product__offer">
                                                                        <span class="discount">{{ discount() }}</span>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-8">
                                                                <div class="product__content product__content-d">
                                                                    <h6><a href="product-details.html">{{ $val->jianjie1 }} para {{ $val->jianjie2 }}</a></h6>
                                                                    <div class="rating mb-5">
                                                                        <ul class="rating-d">
                                                                            <li><a href="#"><i class="fal fa-star"></i></a></li>
                                                                            <li><a href="#"><i class="fal fa-star"></i></a></li>
                                                                            <li><a href="#"><i class="fal fa-star"></i></a></li>
                                                                            <li><a href="#"><i class="fal fa-star"></i></a></li>
                                                                            <li><a href="#"><i class="fal fa-star"></i></a></li>
                                                                        </ul>
                                                                    </div>
                                                                    <div class="features-des">
                                                                        <ul>
                                                                            <li>•  Capacidad: {{ $val->dl }}</li>
                                                                            <li>•  Voltaje: {{ $val->dy }}</li>
                                                                            <li>•  Garantía:12 Meses</li>
                                                                        </ul>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-xl-3">
                                                    <div class="product-stock mb-15">
                                                        <h5>Disponibilidad: <span> @if($val->stock=='ok' && $val->price_eu>0) En stock @else sold out @endif </span></h5>
                                                        <h6>{{ $val->price }}  <del> {{ $val->price_old }}</del></h6>
                                                    </div>
                                                    <div class="stock-btn ">
                                                        <button type="button" class="cart-btn d-flex mb-10 align-items-center justify-content-center w-100">
                                                            Añadir al carrito
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                            </div>
                        </div>
                        <div class="tp-pagination text-center">
                            <div class="row">
                                <div class="col-xl-12">
                                    <div class="basic-pagination pt-30 pb-30">
                                        {{ $products->links() }}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- shop-area-end -->
    </main>
@stop
