<!doctype html>
<html class="no-js" lang="es">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    @yield('seo')
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- CSS here -->
    <link rel="stylesheet" href="/static/css/preloader.css">
    <link rel="stylesheet" href="/static/css/bootstrap.css">
    <link rel="stylesheet" href="/static/css/meanmenu.css">
    <link rel="stylesheet" href="/static/css/animate.css">
    <link rel="stylesheet" href="/static/css/owl-carousel.css">
    <link rel="stylesheet" href="/static/css/swiper-bundle.css">
    <link rel="stylesheet" href="/static/css/backtotop.css">
    <link rel="stylesheet" href="/static/css/magnific-popup.css">
    <link rel="stylesheet" href="/static/css/nice-select.css">
    <link rel="stylesheet" href="/static/css/flaticon.css">
    <link rel="stylesheet" href="/static/css/font-awesome-pro.css">
    <link rel="stylesheet" href="/static/css/default.css">
    <link rel="stylesheet" href="/static/css/style.css">
    @livewireStyles
</head>
<body>
<!--[if lte IE 9]>
<p class="browserupgrade">You are using an <strong>outdated</strong> browser. Please <a href="https://browsehappy.com/">upgrade your
    browser</a> to improve your experience and security.</p>
<![endif]-->




<!-- back to top start -->
<div class="progress-wrap">
    <svg class="progress-circle svg-content" width="100%" height="100%" viewbox="-1 -1 102 102">
        <path d="M50,1 a49,49 0 0,1 0,98 a49,49 0 0,1 0,-98"></path>
    </svg>
</div>
<!-- back to top end -->

@include('layouts.__header')

<!-- offcanvas area start -->
<div class="offcanvas__area">
    <div class="offcanvas__wrapper">
        <div class="offcanvas__close">
            <button class="offcanvas__close-btn" id="offcanvas__close-btn">
                <i class="fal fa-times"></i>
            </button>
        </div>
        <div class="offcanvas__content">
            <div class="offcanvas__logo mb-40">
                <a href="">
                    <img src="/static/picture/logo-white.png" alt="logo">
                </a>
            </div>
            <div class="offcanvas__search mb-25">
                <form action="#">
                    <input type="text" placeholder="What are you searching for?">
                    <button type="submit"><i class="far fa-search"></i></button>
                </form>
            </div>
            <div class="mobile-menu fix"></div>
            <div class="offcanvas__action">

            </div>
        </div>
    </div>
</div>
<!-- offcanvas area end -->
<div class="body-overlay"></div>
<!-- offcanvas area end -->
@yield('content')

@include('layouts.__footer')

<!-- JS here -->
<script src="/static/js/jquery.js"></script>
<script src="/static/js/waypoints.js"></script>
<script src="/static/js/bootstrap-bundle.js"></script>
<script src="/static/js/meanmenu.js"></script>
<script src="/static/js/swiper-bundle.js"></script>
<script src="/static/js/tweenmax.js"></script>
<script src="/static/js/owl-carousel.js"></script>
<script src="/static/js/magnific-popup.js"></script>
<script src="/static/js/parallax.js"></script>
<script src="/static/js/backtotop.js"></script>
<script src="/static/js/nice-select.js"></script>
<script src="/static/js/countdown.min.js"></script>
<script src="/static/js/counterup.js"></script>
<script src="/static/js/wow.js"></script>
<script src="/static/js/isotope-pkgd.js"></script>
<script src="/static/js/imagesloaded-pkgd.js"></script>
<script src="/static/js/ajax-form.js"></script>
<script src="/static/js/main.js"></script>

@livewireScripts
<script src="/static/js/sweetalert.js"></script>
<script type="module" src="/static/js/jscookie.js"></script>
<script type="module" src="/static/js/notice.js"></script>
@yield('script')
</body>
</html>
