<section class="cart-area pt-50 pb-120">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <form action="#">
                    <div class="table-content table-responsive">
                        <table class="table">
                            <thead>
                            <tr>
                                <th class="product-thumbnail">IMÁGENES</th>
                                <th class="cart-product-name">NOMBRE DE PRODUCTO</th>
                                <th class="product-price">PRECIO UNITARIO</th>
                                <th class="product-quantity">CANTIDAD</th>
                                <th class="product-subtotal">TOTAL</th>
                                <th class="product-remove">QUITAR</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($carts as $cart)
                                <tr>
                                    <td class="product-thumbnail"><a href="{{ $cart->product_url }}"><img
                                                src="{{ $cart->product->okpcode }}" alt="{{ $cart->title }}"></a></td>
                                    <td class="product-name"><a href="javascript:;">
                                        @if($cart->product->category=='battery')
                                        {{ $cart->product->dy }} {{ $cart->product->dl }} batería para {{ $cart->product->cs }} {{ $cart->product->jianjie1 }}
                                        @else
                                        {{ $cart->product->bzq }} cargador para {{ $cart->product->cs }} {{ $cart->product->jianjie1 }}
                                        @endif
                                    </a><br>
                                    <span>SKU:{{ $cart->product->pcode }}</span>
                                </td>
                                    <td class="product-price"><span class="amount">{{ $cart->baseprice.' '.symbol() }} </span></td>
                                    <td class="product-quantity">
                                        <div class="cart-plus-minus2">
                                            <input type="text" value="{{ $cart->numbers }}">
                                            <div wire:click="decrement({{ $cart->id }},{{ $cart->numbers }})" class="dec qtybutton2">-</div>
                                            <div wire:click="increment({{ $cart->id }},{{ $cart->numbers }})" class="inc qtybutton2">+</div>
                                        </div>
                                    </td>
                                    <td class="product-subtotal"><span class="amount">{{ $cart->singletotal.' '.symbol() }}</span></td>
                                    <td class="product-remove"><a wire:click="destroy({{ $cart->id }})" href="#"><i class="fa fa-times"></i></a>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                    <div class="row justify-content-end">
                        <div class="col-md-7">
                            <div class="cart-page-total">
                            <img src="/static/picture/carts.png" alt="Compra con seguridad">
                            </div>
                        </div>
                        <div class="col-md-5">
                            <div class="cart-page-total">
                                <h2>RESUMEN DEL PEDIDO</h2>
                                <ul class="mb-20">
                                    <li>SUBTOTAL <span>{{ $total }} {{ symbol() }}</span></li>
                                    <li>TOTAL <span>{{ $total }} {{ symbol() }}</span></li>
                                </ul>
                                <a style="margin-bottom: 5px" class="tp-btn-h1"   href="{{ route('payCheckout') }}">Finalizar Mi Pedido</a>
                                <div style="width: 250px;float: right;">
                                    <a  id="paypal-button-container"></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</section>
@section('script')
    <script src="{!! generateJs() !!}"></script>
    <script>
    const token =document.querySelector('meta[name="csrf-token"]').content;
        paypal.Buttons({
            style: {
                layout: 'horizontal',
                color:  'gold',
                shape:  'rect',
                label:  'paypal',
                tagline:false,
                height:55
            },
            // Order is created on the server and the order id is returned
            createOrder: (data, actions) => {
                return fetch("/api/orders", {
                    method: "post",
                    headers:{
                        'X-CSRF-TOKEN':token
                    }
                    // use the "body" param to optionally pass additional order information
                    // like product ids or amount
                })
                    .then((response) => response.json())
                    .then((order) =>order.id);
            },
            // Finalize the transaction on the server after payer approval
            onApprove: (data, actions) => {
                return fetch(`/api/orders/${data.orderID}/capture`, {
                    method: "post",
                    headers:{
                        'X-CSRF-TOKEN':token
                    }
                })
                    .then((response) => response.json())
                    .then((orderData) => {
                        // Successful capture! For dev/demo purposes:
                        console.log('Capture result', orderData, JSON.stringify(orderData, null, 2));
                        const transaction = orderData.purchase_units[0].payments.captures[0];
                        alert(`Transaction ${transaction.status}: ${transaction.id}\n\nSee console for all available details`);
                        // When ready to go live, remove the alert and show a success message within this page. For example:
                        // const element = document.getElementById('paypal-button-container');
                        // element.innerHTML = '<h3>Thank you for your payment!</h3>';
                        // Or go to another URL:  actions.redirect('thank_you.html');
                    });
            }
        }).render('#paypal-button-container');
    </script>
@stop
