@extends('layouts.app')
@section('seo')
<title>Agregar Dirección</title>
    <meta property="og:locale" content="es-ES" />
    <meta property="og:type" content="website" />
    <meta property="og:site_name" content="{{infoEmail()->host}}" />
    <meta itemprop="copyrightHolder" content="{{infoEmail()->host}}" />
    <meta name="author" content="{{infoEmail()->host}}" />
@stop
@section('content')
    <main>
        <!-- page-banner-area-start -->
        <div class="page-banner-area page-banner-height-2" data-background="assets/img/banner/page-banner-4.jpg">
            <div class="container">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="page-banner-content text-center">
                            <div class="breadcrumb-two">
                                <nav>
                                    <nav class="breadcrumb-trail breadcrumbs">
                                        <ul class="breadcrumb-menu">
                                            <li class="breadcrumb-trail">
                                                <a href="/"><span>Inicio</span></a>
                                            </li>
                                            <li class="trail-item">
                                                <span>Agregar Dirección</span>
                                            </li>
                                        </ul>
                                    </nav>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- page-banner-area-end -->

        <!-- coupon-area-start -->
        <section class="coupon-area pt-50 pb-30">
            <div class="container">
                <div class="row">
                    @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif

                </div>
            </div>
        </section>
        <!-- coupon-area-end -->

        <!-- checkout-area-start -->
        <section class="checkout-area pb-85">
            <div class="container">
                <form action="{{ route('processTransaction') }}" method="POST" id="form">
                    @csrf
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="checkbox-form">
                                <h3>Dirección de facturación </h3><span style="color: red;">(* Campos obligatorios)</span>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="country-select">
                                            <label>País <span class="required">*</span></label>
                                            <select name="country" style="display: none;">
                                                <option value="ES" selected="selected">España</option>
                                                <option value="AU">Australia</option>
                                                <option value="AT">Austria</option>
                                                <option value="DE">Alemania</option>
                                                <option value="BE">Bélgica</option>
                                                <option value="BG">Bulgaria</option>
                                                <option value="BY">Bielorrusia</option>
                                                <option value="CA">Canadá</option>
                                                <option value="HR">Croacia</option>
                                                <option value="CY">Chipre</option>
                                                <option value="KR">Corea del Sur</option>
                                                <option value="DK">Dinamarca</option>
                                                <option value="SK">Eslovaquia</option>
                                                <option value="SI">Eslovenia</option>
                                                <option value="US">Estados Unidos</option>
                                                <option value="FI">Finlandia</option>
                                                <option value="FR">Francia</option>
                                                <option value="GR">Grecia</option>
                                                <option value="HU">Hungría</option>
                                                <option value="IE">Irlanda</option>
                                                <option value="IT">Italia</option>
                                                <option value="IL">Israel</option>
                                                <option value="JP">Japón</option>
                                                <option value="KZ">Kazajistán</option>
                                                <option value="LV">Letonia</option>
                                                <option value="LU">Luxemburgo</option>
                                                <option value="MX">México</option>
                                                <option value="MY">Malasia</option>
                                                <option value="NO">Noruega</option>
                                                <option value="NL">Países Bajos</option>
                                                <option value="PT">Portugal</option>
                                                <option value="PL">Polonia</option>
                                                <option value="GB">Reino Unido</option>
                                                <option value="CZ">República Checa</option>
                                                <option value="SG">Singapur</option>
                                                <option value="SE">Suecia</option>
                                                <option value="CH">Suiza</option>
                                                <option value="TH">Tailandia</option>
                                                <option value="UA">Ucrania</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="checkout-form-list">
                                            <label>Nombre y Apellidos <span class="required">*</span></label>
                                            <input name="name" type="text" placeholder="">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="checkout-form-list">
                                            <label>Correo electrónico <span class="required">*</span></label>
                                            <input type="text" required name="email"  placeholder="">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="checkout-form-list">
                                            <label>Línea de dirección <span class="required">*</span></label>
                                            <input name="address1" required type="text" placeholder="">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="checkout-form-list">
                                            <label>Código Postal <span class="required">*</span></label>
                                            <input type="text" required name="postal"  placeholder="">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="checkout-form-list">
                                            <label>Ciudad <span class="required">*</span></label>
                                            <input name="city" required type="text" placeholder="">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="checkout-form-list">
                                            <label>Provincia/Ciudad autónoma <span class="required">*</span></label>
                                            <input name="state" required type="text" placeholder="">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="checkout-form-list">
                                            <label>Número de teléfono <span class="required">*</span></label>
                                            <input type="text" name="phone" required placeholder="">
                                        </div>
                                    </div>
                                </div>
                                <div class="different-address">
                                    <div class="order-notes">
                                        <div class="checkout-form-list">
                                            <label>Mensaje al vendedor (Opcional)</label>
                                            <textarea id="checkout-mess" cols="30" rows="10"  placeholder="Notas sobre tu pedido, por ejemplo, notas especiales para la entrega."></textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="your-order mb-30 ">
                                <h3>RESUMEN DEL PEDIDO</h3>
                                <div class="your-order-table table-responsive">
                                    <table>
                                        <thead>
                                        <tr>
                                            <th class="product-name">Producto</th>
                                            <th class="product-total">Subtotal</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @foreach($carts as $cart)
                                        <tr class="cart_item">
                                            <td class="product-name">
                                                @if($cart->product->category=='battery')
                                                {{ $cart->product->dy }} {{ $cart->product->dl }} batería para {{ $cart->product->cs }} {{ $cart->product->jianjie1 }}
                                                @else
                                                {{ $cart->product->bzq }} cargador para {{ $cart->product->cs }} {{ $cart->product->jianjie1 }}
                                                @endif
                                               <strong class="product-quantity"> × {{ $cart->numbers }}</strong>
                                            </td>
                                            <td class="product-total">
                                                <span class="amount">{{ $cart->singletotal }} {{ symbol() }}</span>
                                            </td>
                                        </tr>
                                        @endforeach
                                        </tbody>
                                        <tfoot>
                                        <tr class="cart-subtotal">
                                            <th>Subtotal</th>
                                            <td><span class="amount">{{ $total }} {{ symbol() }}</span></td>
                                        </tr>
                                        <tr class="order-total">
                                            <th>Total</th>
                                            <td><strong><span class="amount">{{ $total }} {{ symbol() }}</span></strong>
                                            </td>
                                        </tr>
                                        </tfoot>
                                    </table>
                                </div>
                                <div class="payment-method">
                                    <div class="order-button-payment mt-20">
                                        <button onclick="document.getElementById('form').submit()" type="submit" class="tp-btn-h1">Continuar</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </section>
        <!-- checkout-area-end -->

        <!-- cta-area-start -->
        <section class="cta-area d-ldark-bg pt-55 pb-10">
            <div class="container">
                <div class="row">
                    <div class="col-lg-4 col-md-6">
                        <div class="cta-item cta-item-d mb-30">
                            <h5 class="cta-title">Follow Us</h5>
                            <p>We make consolidating, marketing and tracking your social media website easy.</p>
                            <div class="cta-social">
                                <div class="social-icon">
                                    <a href="#" class="facebook"><i class="fab fa-facebook-f"></i></a>
                                    <a href="#" class="twitter"><i class="fab fa-twitter"></i></a>
                                    <a href="#" class="youtube"><i class="fab fa-youtube"></i></a>
                                    <a href="#" class="linkedin"><i class="fab fa-linkedin-in"></i></a>
                                    <a href="#" class="rss"><i class="fas fa-rss"></i></a>
                                    <a href="#" class="dribbble"><i class="fab fa-dribbble"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6">
                        <div class="cta-item mb-30">
                            <h5 class="cta-title">Sign Up To Newsletter</h5>
                            <p>Join 60.000+ subscribers and get a new discount coupon on every Saturday.</p>
                            <div class="subscribe__form">
                                <form action="#">
                                    <input type="email" placeholder="Enter your email here...">
                                    <button>subscribe</button>
                                </form>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6">
                        <div class="cta-item mb-30">
                            <h5 class="cta-title">Download App</h5>
                            <p>DukaMarket App is now available on App Store & Google Play. Get it now.</p>
                            <div class="cta-apps">
                                <div class="apps-store">
                                    <a href="#"><img src="static/picture/app_ios.png" alt=""></a>
                                    <a href="#"><img src="static/picture/app_android.png" alt=""></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- cta-area-end -->
    </main>
@stop
