@if($paginator->hasPages())
    <nav>
        <ul>
            @if($paginator->onFirstPage())
                <li>
                    <a href="javascript:;" class="disabled">
                        <i class="fal fa-angle-double-left"></i>
                    </a>
                </li>
            @else
                <li>
                    <a href="{{ $paginator->previousPageUrl() }}">
                        <i class="fal fa-angle-double-left"></i>
                    </a>
                </li>
            @endif



            @foreach ($elements as $element)
                {{-- "Three Dots" Separator --}}
                @if (is_string($element))
                    <li class="disabled" aria-disabled="true"><span>{{ $element }}</span></li>
                @endif

                {{-- Array Of Links --}}
                @if (is_array($element))
                    @foreach ($element as $page => $url)
                        @if ($page == $paginator->currentPage())
                            <li>
                                <a href="javascript:;" class="active">{{ $page }}</a>
                            </li>
                        @else
                            <li><a href="{{ $url }}">{{ $page }}</a></li>
                        @endif
                    @endforeach
                @endif
            @endforeach

            @if($paginator->hasMorePages())
                <li>
                    <a href="{{ $paginator->nextPageUrl()}}">
                        <i class="fal fa-angle-double-right"></i>
                    </a>
                </li>
            @else
                <li>
                    <a href="javascript:;" class="disabled">
                        <i class="fal fa-angle-double-right"></i>
                    </a>
                </li>
            @endif

        </ul>
    </nav>
@endif
