<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route ::get('/', [\App\Http\Controllers\IndexController::class, 'index']) -> name('/');
Route ::get('item-{pid}-{cs}-for-{jian}', [\App\Http\Controllers\ProductController::class, 'show']) -> where(['jian' => '.*', 'pid' => '\d+', 'cs' => '.*']) -> name('detail');
Route ::get('new-products', [\App\Http\Controllers\CategoriesController::class, 'new']) -> name('new');
Route ::get('hot-products', [\App\Http\Controllers\CategoriesController::class, 'hot']) -> name('hot');
Route ::get('category/{id}/{category}', [\App\Http\Controllers\CategoriesController::class, 'category'])
    -> where(['id' => '\d+', 'category' => '.*']) -> name('category.category');
Route ::get('brand/{id}/{brand}', [\App\Http\Controllers\CategoriesController::class, 'brand'])
    -> where(['id' => '\d+', 'brand' => '.*']) -> name('category.brand');
Route::get('category-all',[\App\Http\Controllers\CategoriesController::class,'all'])->name('category.all');
Route ::get('carts', [\App\Http\Controllers\CartsController::class, 'index']) -> name('cart.index');
Route ::post('carts', [\App\Http\Controllers\CartsController::class, 'store']) -> name('cart.store');
Route ::get('search', [\App\Http\Controllers\SearchController::class, 'search']) -> name('search');
//付款
Route::post('process-transaction', [\App\Http\Controllers\PaypalController::class, 'processTransaction'])->name('processTransaction');
Route::get('success-transaction', [\App\Http\Controllers\PaypalController::class, 'successTransaction'])->name('successTransaction');
Route::get('cancel-transaction', [\App\Http\Controllers\PaypalController::class, 'cancelTransaction'])->name('cancelTransaction');
Route::get('pay-success',[\App\Http\Controllers\PaypalController::class,'paySuccess'])->name('paySuccess');
Route::get('pay-fail',[\App\Http\Controllers\PaypalController::class,'payFail'])->name('payFail');
Route::get('pay-checkout',[\App\Http\Controllers\PaypalController::class,'form'])->name('payCheckout');
//付款api
Route::post('api/orders',[\App\Http\Controllers\PaypalController::class,'createOrder']);
Route::post('api/orders/{orderId}/capture',[\App\Http\Controllers\PaypalController::class,'captureOrder']);
//静态网站
Route::get('faq',[\App\Http\Controllers\StaticController::class,'index'])->name(\App\Http\Controllers\StaticController::STATIC_FAQ);
Route::get('about',[\App\Http\Controllers\StaticController::class,'index'])->name(\App\Http\Controllers\StaticController::STATIC_ABOUT);
Route::get('return',[\App\Http\Controllers\StaticController::class,'index'])->name(\App\Http\Controllers\StaticController::STATIC_RETURN);
Route::get('shipping',[\App\Http\Controllers\StaticController::class,'index'])->name(\App\Http\Controllers\StaticController::STATIC_SHIPPING);
